curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/sync' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"amount_pending_capture": 0.1,
"bank_account_id": "string",
"base_currency_code": "str",
"base_currency_symbol": "string",
"batch_id": "string",
"billing_address": {
"city": "string",
"country": "string",
"country_name": "string",
"county": "string",
"latitude": 0.1,
"line1": "string",
"line2": "string",
"line3": "string",
"longitude": 0.1,
"postal_code": "string",
"state": "string",
"time_zone_id": "string"
},
"billing_run_action_id": "string",
"billing_run_id": "string",
"billing_run_service": "string",
"business_unit_id": "string",
"cancellation_id": "string",
"captures": [
{
"amount_captured": 0.1,
"card_expiration": "2019-08-24",
"card_last_digits": "string",
"card_type": "string",
"date": "2019-08-24T14:15:22Z",
"raw_capture_info": "string",
"transaction_id": "string"
}
],
"card_expiration": "2019-08-24",
"card_last_digits": "string",
"card_type": "string",
"cash_account_type": "bank",
"contact_id": "string",
"currency_code": "AED",
"currency_symbol": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"date": "2019-08-24",
"electronic_payment_info": {
"card_expiration": "2019-08-24",
"card_type": "american express",
"payment_account": "string",
"payment_origin": "ad hoc",
"token": "string"
},
"exchange_rate": 0.1,
"id": "string",
"installment_schedule_id": "string",
"legacy_processor": true,
"line_items": [
{
"amount_refunded": null,
"bundled_product_1": {
"amount": 0.1,
"product_id": "string",
"product_type": "string"
},
"bundled_product_2": {
"amount": 0.1,
"product_id": "string",
"product_type": "string"
},
"credit_id": null,
"enable_auto_renewal": true,
"invoice_currency_code": "AED",
"invoice_exchange_rate": 0.1,
"invoice_id": null,
"invoice_line_item_balance_due_after_payment": 0.1,
"invoice_line_item_balance_due_at_the_time_of_payment": 0.1,
"invoice_line_item_id": "string",
"invoice_line_item_total_at_the_time_of_payment": 0.1,
"invoice_version_at_the_time_of_payment": 0.1,
"payment_line_item_id": null,
"primary_product_total": 0.1,
"product_id": "string",
"product_type": "string",
"related_transactions": [
{
"amount": 0.1,
"date": "2019-08-24T14:15:22Z",
"transaction_id": "string",
"transaction_line_item_id": "string",
"transaction_number": 0.1,
"type": "cancellation"
}
],
"total": 0.1,
"total_in_base_currency": null,
"total_in_invoice_currency": 0.1,
"type": "credit usage"
}
],
"memo": "string",
"merchant_account_id": "string",
"notes": "string",
"number": 0,
"order_id": "string",
"organization_id": "string",
"owner_type": "contact",
"payment_that_this_transaction_reverses_id": "string",
"reference_number": "string",
"return_id": "string",
"send_email_confirmation": true,
"send_receipt_to": "string",
"settlement_discrepancy": 0.1,
"status": "complete",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_search_composite_key": "string",
"sys_search_credit_card_type": "string",
"sys_search_transaction_id": "string",
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"total": 0.1,
"total_in_base_currency": 0.1,
"total_settled_in_base_currency": 0.1,
"transaction_id": "string",
"type": "ach",
"uses_v2_api": true,
"was_generated_by_order": true,
"workflow_execution_id": "string"
}'